apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: root-apps-registry
  namespace: argocd
spec:
  project: default
  source:
    repoURL: 'https://gitea.cruzcloud.net/devops/apps-registry.git'
    path: apps # Vigilará todo lo que esté dentro de la carpeta apps/
    targetRevision: main
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: argocd
  syncPolicy:
    automated:
      prune: true
      selfHeal: true